> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Secret.

> Update the value of an existing Secret by name. The new value will be encrypted at rest.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json post /v1/secrets/{name}
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/secrets/{name}:
    post:
      tags:
        - secrets
      summary: Update a Secret.
      description: >-
        Update the value of an existing Secret by name. The new value will be
        encrypted at rest.
      operationId: updateSecret
      parameters:
        - name: name
          in: path
          description: The name of the Secret to update.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecretUpdateParameters'
      responses:
        '200':
          description: >-
            Secret updated successfully. Returns the Secret with its new value
            included.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretView'
        '400':
          description: Bad request. Invalid parameters.
        '401':
          description: Unauthorized. Invalid or missing authentication.
        '403':
          description: Forbidden. Account does not have devbox capability.
        '404':
          description: Secret not found.
        '500':
          description: Internal server error.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Runloop from '@runloop/api-client';


            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });


            const secretView = await client.secrets.update('name', { value:
            'value' });


            console.log(secretView.id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            secret_view = client.secrets.update(
                name="name",
                value="value",
            )
            print(secret_view.id)
components:
  schemas:
    SecretUpdateParameters:
      type: object
      description: Parameters required to update an existing Secret.
      properties:
        value:
          type: string
          description: >-
            The new value for the Secret. This will replace the existing value
            and be encrypted at rest. Example: 'my-updated-secure-password'
      required:
        - value
    SecretView:
      type: object
      description: >-
        A Secret represents a key-value pair that can be securely stored and
        used in Devboxes as environment variables.
      properties:
        id:
          type: string
          description: The unique identifier of the Secret.
        name:
          type: string
          description: >-
            The globally unique name of the Secret. Used as the environment
            variable name in Devboxes.
        create_time_ms:
          type: integer
          format: int64
          description: Creation time of the Secret (Unix timestamp in milliseconds).
        update_time_ms:
          type: integer
          format: int64
          description: Last update time of the Secret (Unix timestamp in milliseconds).
      required:
        - id
        - name
        - create_time_ms
        - update_time_ms
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````